import type { Meta, StoryObj } from '@storybook/angular';

import { FileIconComponent } from './file-icon.component';

const meta: Meta<FileIconComponent> = {
  title: 'Icons/File Icon',
  component: FileIconComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<FileIconComponent>;

export const Default: Story = {
  args: { type: 'pdf', size: 'xl', color: 'pdf' },
};
