package de.ozgcloud.alfa.export;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConditionalOnProperty(value = "ozgcloud.feature.vorgang-export", havingValue = "false", matchIfMissing = true)
public class DefaultXdomeaProperties implements XdomeaProperties {

	private static final String EXCEPTION_MESSAGE = "The feature vorgang-export must be active to access this property.";

	@Override
	public String getBehoerdenschluessel() {
		throw new UnsupportedOperationException(EXCEPTION_MESSAGE);
	}

	@Override
	public String getBehoerdenschluesselUri() {
		throw new UnsupportedOperationException(EXCEPTION_MESSAGE);
	}

	@Override
	public String getBehoerdenschluesselVersion() {
		throw new UnsupportedOperationException(EXCEPTION_MESSAGE);
	}
}
